[PATCH build 3/4] Check build exit status.
Trevor Woerner
twoerner at gmail.com
Thu Sep 16 19:17:03 PDT 2010
From: Trevor Woerner <twoerner at gmail.com>
If the build.sh script is not invoked correctly (incorrect usage)
exit with non-zero status.
Signed-off-by: Trevor Woerner <twoerner at gmail.com>
Reviewed-by: Gaetan Nadon <memsize at videotron.ca>
---
build.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/build.sh b/build.sh
index 024750d..10f716b 100755
--- a/build.sh
+++ b/build.sh
@@ -839,7 +839,7 @@ PREFIX=$1
if [ -z "${PREFIX}" ] && [ -z "$LISTONLY" ]; then
usage
- exit
+ exit 1
fi
export HOST_OS=`uname -s`
--
1.7.3.rc2
More information about the xorg-devel
mailing list